Show / Hide Table of Contents

# Struct WeaponState

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game.UI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct WeaponState

### Fields

| Improve this Doc View Source

#### AutoSheathDelayTimer

##### Declaration

    public float AutoSheathDelayTimer

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### AutoSheatheState

##### Declaration

    public byte AutoSheatheState

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### IsAutoAttacking

##### Declaration

    public byte IsAutoAttacking

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### SheatheTimer

##### Declaration

    public float SheatheTimer

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### WeaponUnsheathed

##### Declaration

    public byte WeaponUnsheathed

##### Field Value

Type | Description
--- | ---
System.Byte |